
// ****** Call these methods with display names, not hostnames ********

@interface NSURL (AFP)
+ (NSURL*) urlForAfpServer:(NSString*) serverDisplayName shareName:(NSString*) name asGuest:(BOOL) guest;
+ (NSURL*) urlForAfpServer:(NSString*) serverDisplayName shareName:(NSString*) name;
- (NSString *) afpUser; // nil if guest
- (NSString*) afpServer; // like [NSURL host], but convert special chars and remove "_afpovertcp._tcp.local"
@end

@interface AFP : NSObject

+ (NSArray*) urlsOfMountedAfpVolumes;

/* nil if not connected or connected as guest */
+ (NSString*) userConnectedToServer:(NSString*) serverDisplayName;

+ (BOOL) isAfpVolumeAtMountPoint:(NSString*) path;

//+ (NSString*) keychainUserForAfpHost:(NSString *) hostname;
+ (int) mountAfpUsingKeyChain:(NSString*) serverDisplayName shareName:(NSString*) shareName pathToMounter:(NSString*) mounterPath;
+ (int) mountAfp:(NSString*) serverDisplayName shareName:(NSString*) shareName user:(NSString*) user password:(NSString*) password;
+ (NSString*) mountPointOfAfpShare:(NSString*) serverDisplayName shareName:(NSString*) shareName;
+ (BOOL) unmountAllSharesForServer:(NSString*) serverDisplayName;

// This is really just here for Java - otherwise use [NSURL afpServer]
+ (NSString*) serverForAfpUrl:(NSURL*) url;

@end
