#import <Cocoa/Cocoa.h>

NSString *ARSpotlighterDidProgress = @"ARSpotlighterDidProgress";
NSString *ARSpotlighterDidFinish = @"ARSpotlighterDidFinish";

@class ARSpotlighterIterator;

@interface ARSpotlighter : NSObject {
	MDQueryRef query;
	NSString *_searchString;
	BOOL _fileNamesOnly;
	NSString *_withinPath;
	NSArray *_cats;
}
@property (retain) NSArray *cats;
@property (retain) NSString *withinPath;
@property (assign) BOOL fileNamesOnly;
@property (retain) NSString *searchString;

+ (ARSpotlighter*) newSearch:(NSString *) searchString;

- (void) begin:(BOOL) cleverQueries;
- (void) setSearchString:(NSString *) s;
- (void) setFileNamesOnly:(BOOL) fo;
- (void) setWithinPath:(NSString *) p;
- (BOOL) isFinished;
- (NSArray *) groupedResults;
- (ARSpotlighterIterator*) resultIterator;
- (void) disposeManually;

@end




@interface ARSpotlighterIterator : NSObject {
	ARSpotlighter * _spotlighter;
	int  _nextPos;
}
@property (retain) ARSpotlighter *spotlighter;
@property (assign) int nextPos;

- (NSDictionary*) next;
- (MDItemRef) nextRaw;
- (void) finish;

@end

