//  ====================================================================== 	//
//  BLAuthentication.h														//
//  																		//
//  Last Modified on Tuesday April 24 2001									//
//  Copyright 2001 Ben Lachman												//
//																			//
//	Thanks to Brian R. Hill <http://personalpages.tds.net/~brian_hill/>		//
//  ====================================================================== 	//

// **** Adrian - modified ****

#import <Cocoa/Cocoa.h>
#import <Security/Authorization.h>

@interface BLAuthentication : NSObject 
{
	AuthorizationRef authorizationRef; 
}
// returns a shared instance of the class
+ sharedInstance;
// checks if user is authentcated forCommands
- (BOOL)isAuthenticated:(NSArray *)forCommands;
// authenticates user forCommands
- (BOOL)authenticate:(NSArray *)forCommands;
// deauthenticates user
- (void)deauthenticate;
// gets the pid forProcess
- (int)getPID:(NSString *)forProcess;

- (AuthorizationRef) getAuthRef;

/*
Executes pathToCommand with privileges. If waitForOutput, executes synchronously and returns the command's output.
Otherwise, executes asynchronously (watch out!).
Throws an exception if authentication fails (or something else goes wrong).
*/
- (NSString *) executeCommand:(NSString *)pathToCommand withArgs:(NSArray *)arguments waitForOutput:(BOOL)waitForOutput;

// kills the process specified by commandFromPS
- (BOOL)killProcess:(NSString *)commandFromPS;
@end

// strings for notification center
extern NSString* BLAuthenticatedNotification;
extern NSString* BLDeauthenticatedNotification;




