#import <Foundation/Foundation.h>
#import "InterruptedException.h"

@interface BlockingOutputStream : NSObject {
	NSTimeInterval timeout;
	NSOutputStream *os;
	BOOL interrupted;
	NSThread * _writeThread;
}

+ (BlockingOutputStream*) withStream:(NSOutputStream*) os;
- (BlockingOutputStream*) initWithOStream:(NSOutputStream*) o;
- (void) write:(const uint8_t *)buffer length:(NSUInteger) len;
- (void) write:(NSData*) data;
- (void) close;

// See notes in BlockingInputStream.h
@property (assign) NSTimeInterval timeout;

// See notes in BlockingInputStream.h
- (BOOL) interrupt;

@end
